libetonyek::IWORKLine Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKLine ()

## Public Attributes
IWORKGeometryPtr_t | m_geometry
IWORKStylePtr_t | m_style
boost::optional< int > | m_order
boost::optional< double > | m_x1
boost::optional< double > | m_y1
boost::optional< double > | m_x2
boost::optional< double > | m_y2

## Constructor & Destructor Documentation

## ◆ IWORKLine()

libetonyek::IWORKLine::IWORKLine | ( |  | ) |

## Member Data Documentation

## ◆ m_geometry

IWORKGeometryPtr_t libetonyek::IWORKLine::m_geometry

Referenced by IWORKLine().

## ◆ m_order

boost::optional<int> libetonyek::IWORKLine::m_order

Referenced by IWORKLine().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKLine::m_style

Referenced by IWORKLine().

## ◆ m_x1

boost::optional<double> libetonyek::IWORKLine::m_x1

Referenced by IWORKLine().

## ◆ m_x2

boost::optional<double> libetonyek::IWORKLine::m_x2

Referenced by IWORKLine().

## ◆ m_y1

boost::optional<double> libetonyek::IWORKLine::m_y1

Referenced by IWORKLine().

## ◆ m_y2

boost::optional<double> libetonyek::IWORKLine::m_y2

Referenced by IWORKLine().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp